PHP の RPM 配布中しました

2004-11-4 18:36
このエントリーをはてなブックマークに追加

RPM パッケージ by fumika にて、PHP 4.2.2 のマルチバイト対応、セキュリティーホール対応版 RPM を配布していましたが、配布を中止しました。

理由は、PHP 4.3.3 以前には mbstring モジュールに LGPL 違反があるため、私の配布している RPM が抵触する可能性が高いからです。(参考:mbstringのLGPLライセンス違反問題に関する見解) 別にどこからか訴えられたわけではありませんが、ライセンス上問題があるものを配布し続けるわけにはいきませんので。

セキュリティーホール対応部分については、Fedora Legacy Project が公開しているものと同じですので、こちらを利用して頂ければよいかと思います。日本語対応が必要な方は SRPM をダウンロードしてインストールし、php.spec ファイルで configure のオプションに –enable-mbstring と –enable-mbstr-enc-trans を加えて rebuild すれば、基本的に同じものができるはずです。

コメントはまだありません

No comments yet.

Sorry, the comment form is closed at this time.

68 queries. HTML convert time: 0.854 sec. Powered by WordPress. Valid XHTML
Copyright © 2003-2017 @ futuremix.org ログイン